//A demo of some basic widgets in the newer fragment_main.xml style 

package com.c349blum.newerdemoapp;

import android.app.Activity;
import android.app.ActionBar;
import android.app.Fragment;
import android.content.Intent;
import android.os.Bundle;
import android.view.LayoutInflater;
import android.view.Menu;
import android.view.MenuItem;
import android.view.View;
import android.view.View.OnClickListener;
import android.view.ViewGroup;
import android.widget.AdapterView;
import android.widget.AdapterView.OnItemSelectedListener;
import android.widget.ArrayAdapter;
import android.widget.Button;
import android.widget.CheckBox;
import android.widget.EditText;
import android.widget.ImageView;
import android.widget.RadioButton;
import android.widget.RadioGroup;
import android.widget.Spinner;
import android.widget.TextView;
import android.widget.Toast;
import android.os.Build;

public class MainActivity extends Activity {

	static String[] colors = {"Bright Aqua", "Coral Dust", "Marine Blue", "Ocean Blue", "Purple Clover", "Treeline"};
	//new -- made the array of colors static
	
	static String[] pic_files = {"ta275569_bright_aqua", "ta275569_coral_dust", "ta275569_marine_blue", "ta275569_ocean_blue", "ta275569_purple_clover", "ta275569_treeline"};
	//new -- made the array of pic_files static
	
	static Double total =0.0;
	
	
	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_main);

		if (savedInstanceState == null) {
			getFragmentManager().beginTransaction()
					.add(R.id.container, new PlaceholderFragment()).commit();
		}
	}

	@Override
	public boolean onCreateOptionsMenu(Menu menu) {

		// Inflate the menu; this adds items to the action bar if it is present.
		getMenuInflater().inflate(R.menu.main, menu);
		return true;
	}

	@Override
	public boolean onOptionsItemSelected(MenuItem item) {
		// Handle action bar item clicks here. The action bar will
		// automatically handle clicks on the Home/Up button, so long
		// as you specify a parent activity in AndroidManifest.xml.
		int id = item.getItemId();
		if (id == R.id.action_settings) {
			return true;
		}
		return super.onOptionsItemSelected(item);
	}

	/**
	 * A placeholder fragment containing a simple view.
	 */
	public static class PlaceholderFragment extends Fragment {

		public PlaceholderFragment() {
		}

		@Override
		public View onCreateView(LayoutInflater inflater, ViewGroup container,
				Bundle savedInstanceState) {
			View rootView = inflater.inflate(R.layout.fragment_main, container,
					false);
			
			//new -- rootView in front of findViewById	
			final Spinner spnColor = (Spinner) rootView.findViewById(R.id.spnColor);
			Button btnDescr = (Button) rootView.findViewById(R.id.btnDescr);
			final ImageView ivShirt = (ImageView) rootView.findViewById(R.id.ivShirt);
			final RadioGroup rgSize = (RadioGroup) rootView.findViewById(R.id.rgSize);
			final EditText etCount = (EditText) rootView.findViewById(R.id.etCount);
			final CheckBox cbTall = (CheckBox) rootView.findViewById(R.id.cbTall);
			Button btnAdd = (Button) rootView.findViewById(R.id.btnAdd);
			final TextView txtTotal = (TextView) rootView.findViewById(R.id.txtTotal);
			final TextView txtCart = (TextView) rootView.findViewById(R.id.txtCart);
			
			
			
			//************************* SPINNER ***********************************************************************
			ArrayAdapter<String> spinnerArrayAdapter = new ArrayAdapter<String>(getActivity(), android.R.layout.simple_spinner_dropdown_item, colors);
			//new -- first argument getActivity replaces this	
			spnColor.setAdapter(spinnerArrayAdapter);
			
			spnColor.setOnItemSelectedListener(new OnItemSelectedListener(){
				//new was not prompted to import OnItemSelectedListener like what happens when it's in onCreate
				@Override
				public void onItemSelected(AdapterView<?> parent, View view,
						int position, long id) {
					ivShirt.setImageResource(getResources().getIdentifier(pic_files[position], "drawable", getActivity().getPackageName()));
					//new getActivity() in front of getPackageName()
				}
				@Override
				public void onNothingSelected(AdapterView<?> parent) {
					// TODO Auto-generated method stub
					
				}
			});//end spnColor's setOnItemSelectedListener 
			
			
			//******************************** BUTTON DESCRIPTION *******************************************************
			btnDescr.setOnClickListener(new OnClickListener(){
				@Override
				public void onClick(View v) {
					// TODO Auto-generated method stub
					Intent myIntent = new Intent(getActivity(), ProductDescription.class);
					// new -- getActivity() in place of this
					startActivity(myIntent);
				}
			});
	
			
			//*********************Button Add to Cart *********************************
			btnAdd.setOnClickListener(new OnClickListener(){
				@Override
				public void onClick(View v) {
					Double price = 44.95;
					Double amount=0.0;
					String extraText = "";
					String mySize="";
					
					//***************************** Spinner Color **********************
					String myColor = colors[(int) spnColor.getSelectedItemId()];
					//Toast.makeText(getActivity(), myColor, Toast.LENGTH_SHORT).show();
					// new first argument of Toast is getActivity
					
					
					//***************************** RADIO STUFF ************************
					RadioButton myRadio = (RadioButton) getActivity().findViewById(rgSize.getCheckedRadioButtonId());
					// new getActivity() before .findViewById()
					mySize = myRadio.getText().toString();
					//Toast.makeText(getActivity(), myRadio.getText().toString(), Toast.LENGTH_SHORT).show();
					// new first argument of Toast is getActivity
					
					//******************  CheckBox Tall  *******************************
					if(cbTall.isChecked()){
						//Toast.makeText(getActivity(), "Tall", Toast.LENGTH_SHORT).show();
						// new first argument of Toast is getActivity
						price +=5.0;
						extraText = "Tall ";
					}else{
						//Toast.makeText(getActivity(), "Not Tall", Toast.LENGTH_SHORT).show();
						// new first argument of Toast is getActivity
					}
					
					
					//**************************** EditText Count *********************
					String cartText="";
					int count;
					try{
						count = Integer.parseInt(etCount.getText().toString());
						
						if(count<1){
						Toast.makeText(getActivity(), "You must oredr at least one item.", Toast.LENGTH_SHORT).show();
						// new first argument of Toast is getActivity
						}
						else{
							amount = count*price;
							cartText += Integer.toString(count)+ " ";
							cartText += myColor + ", "; 
							cartText += "Size: " + mySize+ " ";
							cartText += extraText;
							cartText += "(@ $"+ String.format("%.2f", price) + ") ";
							cartText += "$" + String.format("%.2f", amount);
							
							txtCart.append("\n"+cartText);
							
							total += amount;
							txtTotal.setText("Total: $" + String.format("%.2f", total));
							
						}
						
					}
					catch(Exception e){
						Toast.makeText(getActivity(), "Please enter a number of items.", Toast.LENGTH_SHORT).show();
						// new first argument of Toast is getActivity
					}
					
					
				}
			});
			
			
			
			
			return rootView;
		}
	}

}
